// creator  : weidu.exe (version 23100)
// argument : TRMER03.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRMER03~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 1 3 4 even though they appear after this state */
~!Dead("Faldorn")
Global("geniesgone","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #45127 /* ~Hmph.  I've nothing to sell ye, strangers... nor would I, had I the goods to do so.  Go back to wherever it is ye came from.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Dead("Faldorn")
Global("geniesgone","GLOBAL",0)~ THEN BEGIN 1 // from:
  SAY #45128 /* ~(sigh)  Ye've done a fine thing for our town, indeed, gettin' rid of all them beasts attacking us.  But I can't open me fletcher shop, yet.  Not with 'em genies takin' up all the caravans.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #45129 /* ~If ye want t' buy somethin', ye'll have to be talkin' to them.  And believe me, I like it no better than ye.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~!Dead("Faldorn")
Global("geniesgone","GLOBAL",1)
CheckStatLT(LastTalkedToBy,16,CHR)~ THEN BEGIN 3 // from:
  SAY #45130 /* ~So ye went an' got rid of them genies.  That's fine an' well, but I'm not openin' my fletcher shop to ye.  Ye could still be workin' for them druids, an' they means t' kill us, they does!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~!Dead("Faldorn")
Global("geniesgone","GLOBAL",1)
CheckStatGT(LastTalkedToBy,15,CHR)~ THEN BEGIN 4 // from:
  SAY #45131 /* ~I... I suppose I could offer ye somethin', if ye be interested in me fletching goods.   'Cause if ye are here t' chat, I've no interest in talkin to strangers.~ */
  IF ~~ THEN REPLY #45133 /* ~Yes, let me see what you have in stock.~ */ GOTO 5
  IF ~~ THEN REPLY #45134 /* ~No, thanks, I'll be going.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 7.0 4.0
  SAY #45135 /* ~It still ain't much... them genies haven't been gone for long, ye see.  But... I s'pose it be better than nothing, aye?  Take a look, as ye bide.~ */
  IF ~~ THEN DO ~StartStore("trmer03",LastTalkedToBy)~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 7.1 4.1
  SAY #45136 /* ~As ye wish.  Well met, me <LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Dead("Faldorn")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 7 // from:
  SAY #45138 /* ~Ah!  If it weren't the hero o' Trademeet come to me fletchin' stand.  Thanks to ye, I've got me fletchin' back up an' goin' once again.  Does ye wish t' buy something, mayhap, me friend?~ */
  IF ~~ THEN REPLY #45142 /* ~Sure, let me see what you have.~ */ GOTO 5
  IF ~~ THEN REPLY #45143 /* ~No, I'll be on my way.~ */ GOTO 6
END
